From d66159b5a9e107c75f2cbc86ad658d07073de9f1 Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@163.com>
Date: Sat, 26 Feb 2022 05:30:09 +0800
Subject: [PATCH 31/34] gnu: mate: Update to 1.26.0.

* gnu/packages/mate.scm (mate): Update to 1.26.0.
[builder, inputs]: Use G-expression.
---
 gnu/packages/mate.scm | 103 +++++++++++++++++++++---------------------
 1 file changed, 51 insertions(+), 52 deletions(-)

diff --git a/gnu/packages/mate.scm b/gnu/packages/mate.scm
index 1d06982808..8179e91b56 100644
--- a/gnu/packages/mate.scm
+++ b/gnu/packages/mate.scm
@@ -1465,61 +1465,60 @@ (define-public mate
     (source #f)
     (build-system trivial-build-system)
     (arguments
-     `(#:modules ((guix build union))
-       #:builder
-       (begin
-         (use-modules (ice-9 match)
-                      (guix build union))
-         (match %build-inputs
-           (((names . directories) ...)
-            (union-build (assoc-ref %outputs "out")
-                         directories)
-            #t)))))
+     (list #:modules '((guix build union))
+           #:builder
+           #~(begin
+               (use-modules (ice-9 match)
+                            (guix build union))
+               (match %build-inputs
+                 (((names . directories) ...)
+                  (union-build #$output directories)
+                  #t)))))
     (native-inputs (list desktop-file-utils))
     (inputs
      ;; TODO: Add more packages
-     `(("at-spi2-core"              ,at-spi2-core)
-       ("atril"                     ,atril)
-       ("caja"                      ,caja)
-       ("dbus"                      ,dbus)
-       ("dconf"                     ,dconf)
-       ("engrampa"                  ,engrampa)
-       ("eom"                       ,eom)
-       ("font-abattis-cantarell"            ,font-abattis-cantarell)
-       ("glib-networking"           ,glib-networking)
-       ("gnome-keyring"             ,gnome-keyring)
-       ("gvfs"                      ,gvfs)
-       ("hicolor-icon-theme"        ,hicolor-icon-theme)
-       ("libmatekbd"                ,libmatekbd)
-       ("libmateweather"            ,libmateweather)
-       ("libmatemixer"              ,libmatemixer)
-       ("marco"                     ,marco)
-       ("mate-session-manager"      ,mate-session-manager)
-       ("mate-settings-daemon"      ,mate-settings-daemon)
-       ("mate-desktop"              ,mate-desktop)
-       ("mate-terminal"             ,mate-terminal)
-       ("mate-themes"               ,mate-themes)
-       ("mate-icon-theme"           ,mate-icon-theme)
-       ("mate-power-manager"        ,mate-power-manager)
-       ("mate-menu"                 ,mate-menus)
-       ("mate-panel"                ,mate-panel)
-       ("mate-control-center"       ,mate-control-center)
-       ("mate-media"                ,mate-media)
-       ("mate-applets"              ,mate-applets)
-       ("mate-user-guide"           ,mate-user-guide)
-       ("mate-calc"                 ,mate-calc)
-       ("mate-backgrounds"          ,mate-backgrounds)
-       ("mate-netbook"              ,mate-netbook)
-       ("mate-utils"                ,mate-utils)
-       ("mate-polkit"               ,mate-polkit)
-       ("mate-system-monitor"       ,mate-system-monitor)
-       ("mate-utils"                ,mate-utils)
-       ("pluma"                     ,pluma)
-       ("pinentry-gnome3"           ,pinentry-gnome3)
-       ("pulseaudio"                ,pulseaudio)
-       ("shared-mime-info"          ,shared-mime-info)
-       ("yelp"                      ,yelp)
-       ("zenity"                    ,zenity)))
+     (list at-spi2-core
+           atril
+           caja
+           dbus
+           dconf
+           engrampa
+           eom
+           font-abattis-cantarell
+           glib-networking
+           gnome-keyring
+           gvfs
+           hicolor-icon-theme
+           libmatekbd
+           libmateweather
+           libmatemixer
+           marco
+           mate-session-manager
+           mate-settings-daemon
+           mate-desktop
+           mate-terminal
+           mate-themes
+           mate-icon-theme
+           mate-power-manager
+           mate-menus
+           mate-panel
+           mate-control-center
+           mate-media
+           mate-applets
+           mate-user-guide
+           mate-calc
+           mate-backgrounds
+           mate-netbook
+           mate-utils
+           mate-polkit
+           mate-system-monitor
+           mate-utils
+           pluma
+           pinentry-gnome3
+           pulseaudio
+           shared-mime-info
+           yelp
+           zenity))
     (propagated-inputs
      ;; Default font that applications such as IceCat require.
      (list font-dejavu))
-- 
2.34.0

